Create Resident: Rent Manager
Create Resident: Rent Manager
| Method |
|---|
| POST /Tenants |
| |
| POST /Tenants/UserDefinedValues |
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_id
The Propexo unique identifier for the integration
property_id
The Propexo unique identifier for the property
rent_period
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Allowed values:
rent_due_day
Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
first_name
The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
last_name
The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
middle_name
The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
email_1
The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
date_of_birth
The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
notes
Notes about the resident
address_1
Street address for the resident. This maps to the Street property of the primary address of the Tenant object
city
City of the resident's primary address
state
State of the resident's primary address
zip
Zip/Postal Code of the resident’s primary address
address_1_alternate
Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
city_alternate
City of the resident’s secondary/alternate address
state_alternate
State of the resident’s secondary/alternate address
zip_alternate
Zip/Postal Code of the resident’s secondary/alternate address
attachments
Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB
custom_dataDeprecated
Deprecated: Field is no longer applicable
Response
Successful response
meta
result

